package core.aop;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.aop.MethodBeforeAdvice;
import org.springframework.stereotype.Component;

import java.lang.reflect.Method;
import java.util.Arrays;

/**
 * Created by reborn on 2017/8/3.
 */
@Component
public class Advice implements MethodBeforeAdvice {
   private static Logger log=LogManager.getLogger();
    @Override
    public void before(Method method, Object[] objects, Object o) {
        log.info("类：" + o.getClass() + ",方法：" + method.getName() + "被调用，传入参数：" + Arrays.asList(objects));
    }
}
