package db;

public class JsonResult<T> extends ToJSON{

    private T data;

    private Type type;

    private DBAction action;

    public JsonResult(T data, Type type, DBAction action) {
        this.data = data;
        this.type = type;
        this.action = action;
    }

    public T getData() {
        return data;
    }

    public Type getType() {
        return type;
    }

    public DBAction getAction() {
        return action;
    }
}
