package web.config;

import db.config.HibernateConfig;
import org.springframework.context.annotation.*;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@Configuration
@EnableAspectJAutoProxy(proxyTargetClass = true)
@EnableTransactionManagement
@PropertySource("classpath:config.properties")
@ComponentScan({"core"})
@Import(HibernateConfig.class)
public class AppConfig {

}
