package web.controller;

import db.AbstractModel;
import db.DBAction;
import db.model.bilibili.MenuModel;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

@Controller
@RequestMapping("/menu")
public class MenuController extends BiliController<MenuModel> {


    @RequestMapping()
    public <T extends AbstractModel> String find(Model model, MenuModel queryCommand, @RequestParam Integer firstResult, @RequestParam Integer maxResults){
        model.addAttribute("menus", super.find(DBAction.R, queryCommand, firstResult, maxResults).toString());
        return "menu";
    }

    @Override
    public boolean checkAction(DBAction action) {
        return DBAction.R.equals(action);
    }
}
